import 'package:example/configs/base_bloc.dart';
import 'package:example/models/post_model.dart';
import 'package:flutter_simple_template_bloc/flutter_simple_template_bloc.dart';

part 'demo_event.dart';
part 'demo_state.dart';

class DemoBloc extends BaseBloc<DemoEvent, DemoState> {
  DemoBloc() : super(const DemoState()) {
    on<DemoInit>((event, emit) async {
      try {
        final response = await dataRepository.getPost();
        if (response is DataSuccess) {
          emit(state.copyWith(posts: response.data!));
        } else {
          emit(state.copyWith(message: response.error?.message));
        }
      } catch (e) {
        handleError(e);
      }
    });
  }
}
